linux: 3.2.0-30.48 -proposed tracker

Bug #1041217 reported by Luis Henriques on 2012-08-24
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Chris Halse Rogers
Regression-testing
Undecided
Canonical Platform QA Team
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.2.0-30.48 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 24. August 2012 14:26 UTC
kernel-stable-Prepare-package-end:Saturday, 25. August 2012 00:04 UTC
kernel-stable-Promote-to-proposed-start:Saturday, 25. August 2012 00:04 UTC
kernel-stable-Promote-to-proposed-end:Saturday, 25. August 2012 04:02 UTC
kernel-stable-Verification-testing-start:Saturday, 25. August 2012 05:17 UTC
kernel-stable-Verification-testing-end:Tuesday, 28. August 2012 14:46 UTC
kernel-stable-Certification-testing-start:Tuesday, 28. August 2012 14:46 UTC
kernel-stable-Security-signoff-start:Tuesday, 28. August 2012 14:46 UTC
kernel-stable-Regression-testing-start:Tuesday, 28. August 2012 14:46 UTC
kernel-stable-Security-signoff-end:Tuesday, 28. August 2012 18:31 UTC
kernel-stable-Certification-testing-end:Friday, 31. August 2012 15:46 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 04. September 2012 11:31 UTC
kernel-stable-Regression-testing-end:Tuesday, 04. September 2012 11:31 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 05. September 2012 00:01 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 05. September 2012 00:01 UTC

Luis Henriques (henrix) on 2012-08-24
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
Adam Conrad (adconrad) wrote :

Note to my future self: this is replacing a package that previously has an ABI bump, so there's both an LBM and a meta to copy with this when it gets released.

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1041405
linux-armadaxp - bug 1041406

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed.

Brad Figg (brad-figg) on 2012-08-25
description: updated
Brad Figg (brad-figg) on 2012-08-25
description: updated
Ike Panhc (ikepanhc) wrote :

I've test 3.2.0-30.48 on highbank machine. Reboot several times and all of them finish in 30 sec smoothly. No task hang reported.

Luis Henriques (henrix) wrote :

All bugs have been verified, moving to testing.

Brad Figg (brad-figg) on 2012-08-28
description: updated
John Johansen (jjohansen) wrote :

No CVEs

Brad Figg (brad-figg) on 2012-08-28
description: updated

Hardware Certification have begun testing this -proposed kernel (since Wednesday)

We have run into the following bug: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1044018

On the following systems:

Dell Inspiron 620
HP Z800 Workstation
Lenovo Thinkpad T510

After installation the system will not boot.

The bug above doesn't seem to be related to the -proposed kernel. We just switched over to testing with 12.04.1 instead of 12.04 so this could be the cause of the issue.

Otherwise we have completed testing on 41/47 systems. Three of the missing systems are not accessible at the moment due to a recent data center move, 2 are referred to in the bug report above and one has a bug which was not detected during certification so should not be tested.

The report is available at: http://people.canonical.com/~hwcert/sru-testing/wk35_2012/precise-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-08-31
description: updated
Para Siva (psivaa) wrote :

no regressions

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-09-04
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux - 3.2.0-30.48

---------------
linux (3.2.0-30.48) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1041217

  [ Upstream Kernel Changes ]

  * mutex: Place lock in contended state after fastpath_lock failure
    - LP: #1041114

linux (3.2.0-30.47) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1036581

  [ Andy Whitcroft ]

  * add support for generating binary device trees and install them in
    /lib/firmware
    - LP: #1030600
  * [Config] add dtb_file configuration for highbank
    - LP: #1030600

  [ Chris Van Hoof ]

  * SAUCE: dell-laptop: additional rfkill blacklist Dell XPS 13
    - LP: #1030957
  * [Config] Add cifs support to the nfs-modules list
    - LP: #1031398

  [ Daniel P. Berrange ]

  * SAUCE: (drop after 3.6) Forbid invocation of kexec_load() outside
    initial PID namespace
    - LP: #1034125

  [ Dann Frazier ]

  * [Config] Compile the rtc-pl031 driver builtin on the highbank kernel
    flavour
    - LP: #1035110

  [ Douglas Bagnall ]

  * SAUCE: Unlock the rc_dev lock when the raw device is missing
    - LP: #1015836

  [ Rob Herring ]

  * SAUCE: ARM: highbank: add soft power and reset key event handling
    - LP: #1033853
  * SAUCE: ARM: highbank: use writel_relaxed variant for pwr requests
    - LP: #1033853
  * SAUCE: ahci: un-staticize ahci_dev_classify
    - LP: #1033853
  * SAUCE: ahci_platform: add custom hard reset for Calxeda ahci ctrlr
    - LP: #1033853

  [ Stefan Bader ]

  * (pre-stable) KVM: VMX: Set CPU_BASED_RDPMC_EXITING for nested
    - LP: #1031090

  [ Tim Gardner ]

  * [Config] updateconfigs

  [ Upstream Kernel Changes ]

  * ideapad: generate valid key event only
    - LP: #1029834
  * mm: reduce the amount of work done when updating min_free_kbytes
    - LP: #1032640
  * mm: compaction: allow compaction to isolate dirty pages
    - LP: #1032640
  * mm: compaction: determine if dirty pages can be migrated without
    blocking within ->migratepage
    - LP: #1032640
  * mm: page allocator: do not call direct reclaim for THP allocations
    while compaction is deferred
    - LP: #1032640
  * mm: compaction: make isolate_lru_page() filter-aware again
    - LP: #1032640
  * mm: compaction: introduce sync-light migration for use by compaction
    - LP: #1032640
  * mm: vmscan: when reclaiming for compaction, ensure there are sufficient
    free pages available
    - LP: #1032640
  * mm: vmscan: do not OOM if aborting reclaim to start compaction
    - LP: #1032640
  * mm: vmscan: check if reclaim should really abort even if
    compaction_ready() is true for one zone
    - LP: #1032640
  * vmscan: promote shared file mapped pages
    - LP: #1032640
  * vmscan: activate executable pages after first usage
    - LP: #1032640
  * mm/vmscan.c: consider swap space when deciding whether to continue
    reclaim
    - LP: #1032640
  * mm: test PageSwapBacked in lumpy reclaim
    - LP: #1032640
  * mm: vmscan: convert global reclaim to per-memcg LRU lists
    - LP: #1032640
  * cpuset: mm: reduce large amounts of memory barrier related damage v3
    - LP: #1032640
  * mm/hugetlb: fix warni...

Changed in linux (Ubuntu Precise):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Changed in linux (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers